import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch, Button, Input } from 'ant-design-vue';
import { getAllRoleList, setRoleStatus } from '@/api/system/role/role';
import { useMessage } from '@/hooks/web/useMessage';
import Icon from '@/components/Icon/Icon.vue';
import { setMenuStatus } from '@/api/system/menu/menu';
import { last } from 'xe-utils';

type CheckedType = boolean | string | number;
export const columns: BasicColumn[] = [
  {
    title: '菜单名称',
    dataIndex: 'menuName',
    width: 50,
    align: 'left',
    colProps: { span: 8 },
  },
];

export const physicalModelFormSchema: FormSchema[] = [
  {
    field: 'missionName',
    label: '任务名称',
    component: 'Input',
    componentProps: {
      disabled: true,
    },
    colProps: {
      span: 12,
    },
  },
  // ...
  {
    field: 'createDate',
    label: '通知触发时间',
    component: 'Input',
    componentProps: {
      disabled: true,
    },
    colProps: {
      span: 12,
    },
  },
  {
    field: 'alarmLevel',
    label: '紧急程度',
    component: 'Input',
    componentProps: {
      disabled: true,
    },
    colProps: {
      span: 12,
    },
  },
  {
    field: 'alarmRuleName',
    label: '通知规则',
    component: 'Input',
    componentProps: {
      disabled: true,
    },
    colProps: {
      span: 12,
    },
  },
  {
    field: 'alarmDetail',
    label: '通知详情',
    component: 'InputTextArea',
    componentProps: {
      disabled: true,
    },
    colProps: {
      span: 24,
    },
  },
];
