import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Switch } from 'ant-design-vue';
import {getAllRoleList, setRoleStatus} from '@/api/system/role/role';
import { useMessage } from '@/hooks/web/useMessage';
import Icon from "@/components/Icon/Icon.vue";
import {setMenuStatus} from "@/api/system/menu/menu";


type CheckedType = boolean | string | number;
export const columns: BasicColumn[] = [
  {
    title: '菜单名称',
    dataIndex: 'menuName',
    width: 50,
    align: 'left',
    colProps: { span: 8 },
  },
];

export const ModelFormSchema: FormSchema[] = [
  {
    field: 'roleName',
    label: '角色名称',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入角色名称',
      },
    ],
    componentProps: {
      disabled: true,
    },
  },
  {
    field: 'menuName',
    label: '菜单名称',
    component: 'Input',
    rules: [
      {
        required: true,
        message: '请输入菜单名称',
      },
    ],
    componentProps: {
      placeholder: '未选择菜单名称',
      disabled: true,
    },
  },
  {
    field: 'dataScope',
    label: '权限范围',
    component: 'Select',
    rules: [
      {
        required: true,
        message: '请选择权限范围',
      },
    ],
    componentProps: {
      options: [
        {
          value: '1',
          label: '全部数据权限'
        },
        {
          value: '2',
          label: '自定数据权限'
        },
        {
          value: '3',
          label: '本部门数据权限'
        },
        {
          value: '4',
          label: '本部门及以下数据权限'
        },
        {
          value: '5',
          label: '仅本人数据权限'
        }
      ],
    },
  },
  {
    label: '数据权限',
    field: 'menuIds',
    slot: 'menu',
    ifShow:false
  },
];
